/*****************************************************************************
 * File:			alarm.h
 * Description:		Alarm application file
 * Project:			Intrusion system and access control
 * 					(Sistema de intrusión y control de accesos)
 *
 * Version:			1.0		02/01/2017
 * Author:			Daniel Gómez
 *****************************************************************************/

#ifndef ALARM_H_
#define ALARM_H_

#include "serial.h"


typedef enum status{
	OFF,
	ON,

}status;

#define MAGNETHIC 0
#define VOLUMETHRIC 1
#define BOTH 2

	/* Initializes pins and interruptions */
void alarmInit();

	/* Activates the alarm */
void alarmOn(int typeAlarm );

	/* Deactivates the alarm */
void alarmOff();

	/* Get method for the alarm status */
uint8_t alarm_getStatus();


#endif /* ALARM_H_ */
