/*****************************************************************************
 * File:			log.h
 * Description:		Driver for Log
 *
 * Author:			Daniel Gómez
 * Created:			02/01/2017
 *****************************************************************************/

#ifndef LOG_H_
#define LOG_H_

#include "serial.h"

/*
 * Start log module
 *
 * @param	port		UART port used to send log data
 * @param	baudRate	port speed
 *
 * @return TRUE if SUCCESS, otherwise false
 */
uint_fast8_t Log_start( uint_fast8_t port, serial_baudrate baudRate );


/*
 * Print log text
 *
 * @param format like printf of cstdio C standard
 */
uint_fast16_t Log_print(char* format, ...);



#endif /* LOG_H_ */
