/*****************************************************************************
 * File:			wifly.h
 * Description:		Wifly driver to communicate with wifly module
 *
 * Author:			Daniel Gómez
 * Created:			02/01/2017
 *****************************************************************************/

#ifndef WIFLY_H_
#define WIFLY_H_

#include "serial.h"

#define WIFLY_RESET_PAD 62

/* Initialize wifly
 *
 * @param port Serial port to use
 * @param baudrate to use
 *
 */
void Wifly_init(uint8_t port, serial_baudrate baudRate);


/* Connects wifly to a SSID
 *
 * @param Password of the SSID
 * @param Red name of the SSID
 *
 */
uint32_t WiflyConect (char *Password, char *Red);


/* Prints the wifly response
 *
 * @param TiempoEspera for wait to response
 *
 */
uint32_t WiflyResponse (int TiempoEspera);


/* Sends an e-mail to a given receiver
 *
 * @param Receiver of the e-mail
 * @param Subject of the e-mail
 * @param Data of the e-mail
 *
 */
uint8_t wiflyEmail(char *Receiver, char *Subject, char *Data);

/* Sets the SMTP server to connect via TCP
 *
 */
void wiflySetTCPConfig();


#endif /* WIFLY_H_ */
