/*****************************************************************************
 * File:			log.c
 * Description:		Driver for Log
 *
 * Author:			Daniel Gómez
 * Created:			02/01/2017
 *****************************************************************************/

#include "log.h"
#include "serial.h"
#include <stdarg.h>
#include <stdlib.h>
#include <string.h>

uint_fast8_t log_port = BAUD_UNSUPORTED;	// serial port used to send log

uint_fast8_t Log_start( uint_fast8_t port, serial_baudrate baudRate ) {

	log_port = port;

	return Serial_start(port, baudRate);
}




uint_fast16_t Log_print(char* format, ...) {

	uint_fast16_t len;

	if (log_port == BAUD_UNSUPORTED) return 0;

	va_list args;

	va_start( args, format );
	Serial_send(log_port, "\nLOG_INFO: ");
	len = Serial_vsend(log_port, format, args);
	va_end(args);

	return len;
}

